Skip to main content
POST
/
api
/
v4
/
kyb
/
{applicant_id}
/
tin-verification
TIN Verification
curl --request POST \
  --url https://api.dataspike.io/api/v4/kyb/{applicant_id}/tin-verification \
  --header 'Content-Type: application/json' \
  --header 'ds-api-token: <api-key>' \
  --data '
{
  "tin": "36-2382580",
  "company_name": "DEERE & COMPANY"
}
'
{
  "request_id": "019c9e79-4d64-73e1-9f30-5374f0f57975",
  "status": "initial"
}

Authorizations

ds-api-token
string
header
required

Path Parameters

applicant_id
string<uuid>
required

The applicant ID to associate with this verification

Example:

"01827ed4-c928-7a3c-9a30-7ab7cc169d11"

Body

application/json
tin
string
required

Taxpayer Identification Number (EIN or SSN). Dashes are ignored; must contain 9 digits.

Example:

"36-2382580"

company_name
string
required

Legal business name to match against the TIN.

Example:

"DEERE & COMPANY"

Response

Request accepted, check in progress

request_id
string<uuid>

Unique identifier for this verification request. Use to poll for results.

Example:

"019c9e79-4d64-73e1-9f30-5374f0f57975"

status
enum<string>

Always initial on submission

Available options:
initial
Example:

"initial"